From 9ee9f6bc29fe81f7d2846c66c73d059fffd25599 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 13 2024 21:04:12 +0000
Subject: [PATCH 18/220] Update cosmic-files and cosmic-term


---

diff --git a/cosmic-files/cosmic-files.spec b/cosmic-files/cosmic-files.spec
index b01f036..5963604 100644
--- a/cosmic-files/cosmic-files.spec
+++ b/cosmic-files/cosmic-files.spec
@@ -81,6 +81,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 
 %{_bindir}/cosmic-files
 %{_datadir}/applications/com.system76.CosmicFiles.desktop
+%{_metainfodir}/com.system76.CosmicFiles.metainfo.xml
 
 %{_datadir}/icons/hicolor/128x128/apps/com.system76.CosmicFiles.svg
 %{_datadir}/icons/hicolor/16x16/apps/com.system76.CosmicFiles.svg
diff --git a/cosmic-term/cosmic-term.spec b/cosmic-term/cosmic-term.spec
index 2ec5532..79ff267 100644
--- a/cosmic-term/cosmic-term.spec
+++ b/cosmic-term/cosmic-term.spec
@@ -81,6 +81,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 
 %{_bindir}/cosmic-term
 %{_datadir}/applications/com.system76.CosmicTerm.desktop
+%{_metainfodir}/com.system76.CosmicTerm.metainfo.xml
 
 %{_datadir}/icons/hicolor/128x128/apps/com.system76.CosmicTerm.svg
 %{_datadir}/icons/hicolor/16x16/apps/com.system76.CosmicTerm.svg
diff --git a/cosmic_apps.py b/cosmic_apps.py
index 3557eb6..36bdcea 100644
--- a/cosmic_apps.py
+++ b/cosmic_apps.py
@@ -588,7 +588,7 @@ COSMIC_FILES = {
 "build": f"just build-vendored",
 "install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} install",
 "files": f"""
-{contains_app("cosmic-files","com.system76.CosmicFiles",True, True, False, False, False, "")}
+{contains_app("cosmic-files","com.system76.CosmicFiles",True, True, False, False, True, "")}
 %{{_datadir}}/icons/hicolor/128x128/apps/com.system76.CosmicFiles.svg
 %{{_datadir}}/icons/hicolor/16x16/apps/com.system76.CosmicFiles.svg
 %{{_datadir}}/icons/hicolor/24x24/apps/com.system76.CosmicFiles.svg
@@ -927,7 +927,7 @@ COSMIC_TERM = {
 "build": f"just build-vendored",
 "install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} install",
 "files": f"""
-{contains_app("cosmic-term","com.system76.CosmicTerm",True, True, False, False, False, "")}
+{contains_app("cosmic-term","com.system76.CosmicTerm",True, True, False, False, True, "")}
 %{{_datadir}}/icons/hicolor/128x128/apps/com.system76.CosmicTerm.svg
 %{{_datadir}}/icons/hicolor/16x16/apps/com.system76.CosmicTerm.svg
 %{{_datadir}}/icons/hicolor/24x24/apps/com.system76.CosmicTerm.svg

